%define upstream_name    DBIx-Class-EncodedColumn
%define upstream_version 0.00020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Encrypt columns using Crypt::OpenPGP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.60.20
BuildRequires: perl(Dir::Self)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Sub::Name) >= 0.40.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This the DBIx::Class manpage component can be used to automatically encode
a column's contents whenever the value of that column is set.

This module is similar to the existing the DBIx::Class::DigestColumns
manpage, but there is some key differences:

* 'DigestColumns' performs the encode operation on 'insert' and 'update',
  and 'EncodedColumn' performs the operation when the value is set, or on
  'new'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%check
unset AUTHOR_TESTING
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.0.200-3.mga9
+ Revision: 1811921
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.0.200-2.mga8
+ Revision: 1534009
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 tv <tv> 0.0.200-1.mga8
+ Revision: 1446653
- update to 0.00020

* Sat Sep 21 2019 tv <tv> 0.0.190-1.mga8
+ Revision: 1444447
- update to 0.00019

* Sun Sep 08 2019 tv <tv> 0.0.170-1.mga8
+ Revision: 1438366
- update to 0.00017

* Wed Jul 24 2019 tv <tv> 0.0.160-1.mga8
+ Revision: 1423731
- restore BR perl(Test::Exception) -- someone should send a patch upstream
- restore BR perl(inc::Module::Install)
+ shlomif <shlomif>
- update to 0.00016

* Thu Sep 20 2018 umeabot <umeabot> 0.0.150-3.mga7
+ Revision: 1282602
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.0.150-2.mga7
+ Revision: 1163953
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.0.150-1.mga7
+ Revision: 1141524
- update to 0.00015

* Sun Jun 19 2016 pterjan <pterjan> 0.0.130-6.mga6
+ Revision: 1025459
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.0.130-5.mga6
+ Revision: 939105
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.130-4.mga5
+ Revision: 746993
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.0.130-3.mga5
+ Revision: 736870
- BR perl(Test::Exception)
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.0.130-2.mga5
+ Revision: 684112
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 0.0.130-1.mga5
+ Revision: 597818
- update to 0.00013

* Sat Oct 19 2013 umeabot <umeabot> 0.0.120-2.mga4
+ Revision: 527617
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.0.120-1.mga4
+ Revision: 441528
- update to 0.00012

* Sun Jan 13 2013 umeabot <umeabot> 0.0.110-2.mga3
+ Revision: 365117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 12 2011 jquelin <jquelin> 0.0.110-1.mga1
+ Revision: 83741
- update to 0.00011

* Tue Jan 25 2011 jquelin <jquelin> 0.0.100-1.mga1
+ Revision: 38581
- mageia rebuild
- imported package perl-DBIx-Class-EncodedColumn

